Package org.eclipse.lemminx.settings

## Class XMLSymbolSettings

- java.lang.Object
- - org.eclipse.lemminx.settings.XMLSymbolSettings

    public class XMLSymbolSettings
    extends Object

XMLSymbolPreferences for Document Symbols

### Constructor Summary

Constructors
`XMLSymbolSettings()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `getExcluded()`
`XMLExcludedSymbolFile[]` `getExcludedFiles()`
`XMLSymbolFilter` `getFilterFor​(String uri)`
`XMLSymbolFilter[]` `getFilters()`
`int` `getMaxItemsComputed()`
`boolean` `isEnabled()`
`boolean` `isExcluded​(String uri)` Given a file URI, this will check if it matches any of the given file patterns.
`void` `merge​(XMLSymbolSettings newSettings)`
`void` `setEnabled​(boolean enabled)`
`void` `setExcluded​(String[] excluded)` Will use the excluded pattern strings to create a list of `XMLExcludedSymbolFile` objects within this object.
`void` `setFilters​(XMLSymbolFilter[] filters)`
`void` `setMaxItemsComputed​(int maxItemsComputed)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLSymbolSettings

    public XMLSymbolSettings()

### Method Detail

#### getExcludedFiles

    public XMLExcludedSymbolFile[] getExcludedFiles()

#### setFilters

    public void setFilters​(XMLSymbolFilter[] filters)

#### getFilters

    public XMLSymbolFilter[] getFilters()

#### isEnabled

    public boolean isEnabled()

#### setEnabled

    public void setEnabled​(boolean enabled)

#### getExcluded

    public String[] getExcluded()

#### setExcluded

    public void setExcluded​(String[] excluded)

Will use the excluded pattern strings to create a list of `XMLExcludedSymbolFile` objects within this object.

Parameters:
  `excluded` -

#### isExcluded

    public boolean isExcluded​(String uri)

Given a file URI, this will check if it matches any of the given file patterns. A uri is 'excluded' if it matches any of the given patterns. **Important:** Set the excluded file patterns before calling this using 'setExcluded()'.

Parameters:
  `uri` -
Returns:

#### getMaxItemsComputed

    public int getMaxItemsComputed()

#### setMaxItemsComputed

    public void setMaxItemsComputed​(int maxItemsComputed)

#### merge

    public void merge​(XMLSymbolSettings newSettings)

#### getFilterFor

    public XMLSymbolFilter getFilterFor​(String uri)